package com.it;

import java.awt.*;

//游戏物体的根类
public class GameObject {
    Image img;
    int x,y;//坐标
    int speed;//物体移动的速度
    int width,height;
    //画自己
    public void drawMySelf(Graphics g){
        g.drawImage(img,x,y,width,height,null);
    }

    public Rectangle getRec(){
        return new Rectangle(x,y,width,height);
    }

    //含参的构造器
    public GameObject(Image img, int x, int y, int speed, int width, int height) {
        this.img = img;
        this.x = x;
        this.y = y;
        this.speed = speed;
        this.width = width;
        this.height = height;
    }

    public GameObject(Image img, int x, int y, int speed) {
        this(img,x,y); //调构造器
        this.x = x;
        this.y = y;
        this.speed = speed;
    }

    public GameObject(Image img, int x, int y) {
        this.img = img;
        this.x = x;
        this.y = y;
    }

    public GameObject(Image img) {
        this.img = img;
        if(this.img!=null){
            this.width=img.getWidth(null);
            this.height=img.getHeight(null);
        }
    }

    //无参的构造器
    public GameObject(){

    }
}
